Public Member Functions | Public Attributes | Friends | List of all members
ClarisWksGraphInternal::CurvePoint Struct Reference

Internal: the structure used to a point of a ClarisWksGraph. More...

## Public Member Functions
| CurvePoint (MWAWVec2f point=MWAWVec2f())

## Public Attributes
MWAWVec2f | m_pos
| the main position More...
MWAWVec2f | m_controlPoints [2]
| the control point: previous, next More...
int | m_type
| the point type More...

## Friends
std::ostream & | operator<< (std::ostream &o, CurvePoint const &pt)
| operator<< More...

## Detailed Description

Internal: the structure used to a point of a ClarisWksGraph.

## Constructor & Destructor Documentation

## ◆ CurvePoint()

ClarisWksGraphInternal::CurvePoint::CurvePoint | ( | MWAWVec2f | point = `MWAWVec2f()` | ) |
| inline explicit

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | CurvePoint const & | pt
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_controlPoints

MWAWVec2f ClarisWksGraphInternal::CurvePoint::m_controlPoints[2]

the control point: previous, next

Referenced by CurvePoint().

## ◆ m_pos

MWAWVec2f ClarisWksGraphInternal::CurvePoint::m_pos

the main position

## ◆ m_type

int ClarisWksGraphInternal::CurvePoint::m_type

the point type

Referenced by ClarisWksGraphInternal::ZoneShape::getSubType(), ClarisWksGraphInternal::ZonePict::getSubType(), ClarisWksGraphInternal::ZoneUnknown::getSubType(), ClarisWksGraphInternal::ZoneUnknown::getType(), ClarisWksGraphInternal::ZonePict::print(), and ClarisWksGraphInternal::ZoneUnknown::print().

The documentation for this struct was generated from the following file:

- ClarisWksGraph.cxx